eID middleware |

# be.portugal.eid.PTEID_FileType Class Reference

Class that holds the different file type definitions. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_FileType | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_FileType | PTEID_FILETYPE_UNKNOWN = new PTEID_FileType("PTEID_FILETYPE_UNKNOWN", pteidlibJava_WrapperJNI.PTEID_FILETYPE_UNKNOWN_get())
| unknown file type
static final PTEID_FileType | PTEID_FILETYPE_TLV = new PTEID_FileType("PTEID_FILETYPE_TLV")
| TLV filetype.
static final PTEID_FileType | PTEID_FILETYPE_XML = new PTEID_FileType("PTEID_FILETYPE_XML")
| XML file type.
static final PTEID_FileType | PTEID_FILETYPE_CSV = new PTEID_FileType("PTEID_FILETYPE_CSV")
| CSV file type.

## Detailed Description

Class that holds the different file type definitions.

## Member Function Documentation

static PTEID_FileType be.portugal.eid.PTEID_FileType.swigToEnum | ( | int | swigValue | ) | `[static]`

final int be.portugal.eid.PTEID_FileType.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_FileType.toString | ( |  | ) |

## Member Data Documentation

final PTEID_FileType be.portugal.eid.PTEID_FileType.PTEID_FILETYPE_CSV = new PTEID_FileType("PTEID_FILETYPE_CSV")`[static]`

CSV file type.

final PTEID_FileType be.portugal.eid.PTEID_FileType.PTEID_FILETYPE_TLV = new PTEID_FileType("PTEID_FILETYPE_TLV")`[static]`

TLV filetype.

final PTEID_FileType be.portugal.eid.PTEID_FileType.PTEID_FILETYPE_UNKNOWN = new PTEID_FileType("PTEID_FILETYPE_UNKNOWN", pteidlibJava_WrapperJNI.PTEID_FILETYPE_UNKNOWN_get())`[static]`

unknown file type

final PTEID_FileType be.portugal.eid.PTEID_FileType.PTEID_FILETYPE_XML = new PTEID_FileType("PTEID_FILETYPE_XML")`[static]`

XML file type.